## python-foobot-async 1.0.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = FoobotAPIClient
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-foobot-async (1.0.1-2) unstable; urgency=medium

  * Re-upload source-only.

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Sep 2024 14:24:28 +0200

python-foobot-async (1.0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1080488)

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Sep 2024 23:33:45 +0200

=== debian/control ===
Source: python-foobot-async
Section: python
Priority: optional
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 pybuild-plugin-pyproject,
 openstack-pkg-tools,
 python3-setuptools,
 python3-all
Build-Depends-Indep:
 python3-aiohttp,
 python3-aioresponses,
 python3-async-timeout,
 python3-pytest,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-foobot-async
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-foobot-async.git
Homepage: https://github.com/reefab/foobot_async

Package: python3-foobot-async
Architecture: all
Depends:
 python3-aiohttp,
 python3-async-timeout,
 ${python3:Depends}, ${misc:Depends}
Description: Foobot device (Air Quality Monitoring) client
 This package provides an API Client for the Foobot Air Quality Monitoring
 devices (https://foobot.io).
 .
 This package is a dependency of Home Assistant.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/reefab/foobot_async.git
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_TEST_ARGS= -v $(CURDIR)/foobot_async/tests

%:
	dh $@ --buildsystem=pybuild --with python3

=== debian/tests/control ===
Test-Command: pybuild-autopkgtest
Depends: @, @builddeps@, pybuild-plugin-autopkgtest
Restrictions: allow-stderr, skippable,
Features: test-name=pybuild-autopkgtest

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" https://github.com/reefab/foobot_async refs/tags/(\d[brc\d\.]+)
